{
  lib,
  pkgs,
  config,
  osConfig,
  ...
}: {
  options.programs.obsidian = {
    # enable = lib.mkEnableOption "enable obsidian";
  };

  config = lib.mkIf config.programs.obsidian.enable (lib.mkMerge [
    {
      home.packages = with pkgs; [
        obsidian
      ];
    }
    (
      lib.mkIf osConfig.host.impermanence.enable {
        # TODO: map impermanence for obsidian
      }
    )
  ]);
}
